Announcement

Collapse
No announcement yet.

Updated to 1.1.0.0 - not connecting to SS any more

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • Updated to 1.1.0.0 - not connecting to SS any more

    Hi,

    I just updated the plugin to 1.1.0.0 and now I get "Failed to login (errorcode: Synology.SurveillanceStation.API.ErrorCode" in the log. Everything worked before the update.

    Hope you can help.

    Thanks,
    Michael

  • #2
    Can you turn on debug logging and send it to me?

    Verstuurd vanaf mijn SM-G965F met Tapatalk

    Comment


    • #3
      I think the problem is the parsing of my password to log into SS. My password ends with "?". When the plugin sends the credentials

      [5:30:27 PM] [DEBUG] url=http://xxx.xxx.xxx.xxx:5000/webapi/auth.cgi?api=SYNO.API.Auth&method=Login&version=2&account=XX XX&passwd=XXXXX&session=HSPI_SurveillanceStation&format=sid

      the "?" at the end of the password is turned into "%3f".

      Best,
      Michael

      Comment


      • #4
        What happens if you paste the url in your browser? What if you change your manually replace your password in the URL with the 'correct' one ?

        Comment


        • #5
          I get

          {"error":{"code":400},"success":false}

          However, if I replace session=HSPI_SurveillanceStation with session=SurveillanceStation I get the session ID token

          {"data":{"sid":"Lwd6rTH3oK0yk14B0MPN671251"},"success":tr ue}

          Comment


          • #6
            Mmm, that is strange. It works over here :-)
            I'll update the plugin ASAP

            Comment


            • #7
              Can you try attached version ?
              Attached Files

              Comment


              • #8
                Still can't connect to SS. The "?" in the password still parses wrong. I sent you my log file.

                I'm running a Homeseer Zee S2, not sure if that is relevant.

                Michael

                Comment


                • #9
                  Latest version of plugin (1.1.3.0) solves the problem. Thanks!

                  Comment


                  • #10
                    Mine is also not working but I cant seem to update to 1.1.3.0. Everytime I do it says it was successful but it still shows the new version in the updater.

                    Comment


                    • #11
                      Mmm, that is strange. Anything particular in the logs? Seems like something for HST to invest. Do you have a password containing strange characters ?

                      Comment

                      Working...
                      X